<script setup lang="ts">
import { storeToRefs } from 'pinia'
import { useZoomClientStore } from '~~/store/zoomClient'

const zoomClient = useZoomClientStore()

const { modalMessage } = storeToRefs(zoomClient)
</script>

<template>
  <div v-if="modalMessage" ref="target" class="bg-white/15 inset-0 fixed z-[1000]">
    <Transition>
      <div
        class="absolute bg-white border border-gray-600 top-1/2 left-1/2 translate-x--1/2 translate-y--1/2 text-center text-lg px-6 py-2 rounded-lg dark:text-black"
      >
        <p class="text-lg pt-2">
          {{ modalMessage }}
        </p>
        <div class="justify-around mt-4 gap-2">
          <button class="bg-blue-500 px-4 py-1 rounded text-white whitespace-nowrap" @click="zoomClient.modalMessage = ''">
            はい
          </button>
        </div>
      </div>
    </Transition>
  </div>
</template>

<style lang="scss" scoped>
.v-enter-active,
.v-leave-active {
    transition: opacity 0.5s ease;
}

.v-enter-from,
.v-leave-to {
    opacity: 0;
}
</style>
